
Family Care - Bug #2402

Cancel tasks

07/07/2021 09:54 PM - Saja Nakhleh

Status: Closed Start date: 07/07/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

the tsk disappears only if the applicant

click refresh

Issue #2:

the task will not be canceled and will

keep showing even when the applicant

re-login

Issue #3:

the new unit researcher will find the

cancel action for the assigned tasks.

evidence 9.gif

Issue #4:

the cancel action is NOT shown for the

financial employee.

Issue #5:

the cancel action is shown for the last

step and could cancel the task (task

review)!!!

Issue #6:

the info message will be occurred for the

aborted task (by click Cancel action)

every time a new task is submitted !

the scenario on the video: 

https://www.loom.com/share/d30ab61ad

30e40afbcd4c534a6094d4e

Severity: Normal Environment: QA

Category: Inquiry screens Transaction Number:  

Sub-Category:  Username: Usr00312/12345678

Step_Description:  Browser: Chrome

Pre_Conditions:  URL:  

Expected Result: Issue #1:

the table should be refreshed and the

canceled task disappear

Issue #2:

the task should be canceled and

disappear

Issue #3:

the cancel action should not be shown to

the new unit researcher

Issue #4:

the cancel action should be shown for

the financial employee

Test Case ID:  
Issue #5:

the cancel action should not be shown

for the last step (task review)

Issue #6:

the info message should not be occurred

for the aborted task (by click Cancel

action) as it's already canceled by the

applicant

Description

Issue #1:

1. Login using any researcher user

2. navigate to the tasks list

3. click cancel for any task

Issue #2:

1. Login using any researcher user

2. navigate to the tasks list

3. submit (Open file task) then reject it from supervisor step

4. Click Cancel

Issue #3:

1. Login using any researcher user (usr000312)

2. submit (Change file data task) with new unit (جابر العلي)

3. approve it to the new unit searcher step (usr00142)

4. login using the new unit researcher and check the cancel action

Issue #4:

1.Login using financial employee user (usr02780/Saja1234%)

2. submit new debts and dues task then reject it from financial manager user (usr00249)

3. login using financial user and observe Cancel action on the debts and dues task

Issue #5:

1. submit update task (using usr00312)

2. approve the task till the last step (it will be returned to the searcher who created it first time)

3. Login using the searcher user (usr00312) and observe the cancel action

Issue #6:

1. submit (update file task) then reject it from supervisor step

2. Click Cancel

3. submit new update task for the same civil id (303071200294)

4. observe the occurred info message

History

#1 - 07/07/2021 10:00 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Furat Swalha

#2 - 07/07/2021 10:28 PM - Saja Nakhleh

- File 9.GIF added

- Description updated

- Expected Result updated

- Actual Result updated

#3 - 07/08/2021 10:01 AM - Saja Nakhleh

- File 10.GIF added

- Description updated

- Expected Result updated

- Actual Result updated
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/6


#4 - 07/12/2021 12:51 PM - Saja Nakhleh

- Description updated

- Expected Result updated

- Actual Result updated

#5 - 07/13/2021 05:34 PM - Furat Swalha

- Status changed from Open to Fixed

- % Done changed from 0 to 100

fixed , please re-test

#6 - 07/13/2021 05:35 PM - Furat Swalha

- Assignee changed from Furat Swalha to Saja Nakhleh

#7 - 07/14/2021 03:33 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Furat Swalha

Issue #1, #2, #3, #5 and #6:

tested and verified.

Issue #4:

the cancel action is shown but once it's clicked then the file will not canceled and will keep showing to the applicat

#8 - 07/15/2021 01:57 PM - Furat Swalha

- Assignee changed from Furat Swalha to Saja Nakhleh

Fixed , please re-test it .

#9 - 07/15/2021 01:57 PM - Saja Nakhleh

- Status changed from Feedback to Closed

Issue #4:

tested and verified

Files

9.GIF 75.3 KB 07/07/2021 Saja Nakhleh

10.GIF 59.7 KB 07/08/2021 Saja Nakhleh
